//
//  MWStyles.swift
//  MoneyWiser
//
//  Created by Kristopher Lam on 4/12/17.
//  Copyright © 2017 Polytrix Creative Labs. All rights reserved.
//
//  Generated by PaintCode
//  http://www.paintcodeapp.com
//



import UIKit

public class MWStyles : NSObject {

    //// Cache
    
    private struct Cache {
        static let themeColor: UIColor = UIColor(red: 0.039, green: 0.780, blue: 0.459, alpha: 1.000)
        static let expenseColor: UIColor = UIColor.flatWatermelon()
        static let incomeColor: UIColor = UIColor.flatMintColorDark()
    }
    
    //// Colors
    
    public dynamic class var themeColor: UIColor { return Cache.themeColor }
    public dynamic class var expenseColor: UIColor { return Cache.expenseColor }
    public dynamic class var incomeColor: UIColor { return Cache.incomeColor }

    //// Drawing Methods

    public dynamic class func drawHomeicon(frame targetFrame: CGRect = CGRect(x: 0, y: 0, width: 24, height: 24), resizing: ResizingBehavior = .aspectFit, isSelected: Bool = false) {
        //// General Declarations
        let context = UIGraphicsGetCurrentContext()!
        
        //// Resize to Target Frame
        context.saveGState()
        let resizedFrame: CGRect = resizing.apply(rect: CGRect(x: 0, y: 0, width: 24, height: 24), target: targetFrame)
        context.translateBy(x: resizedFrame.minX, y: resizedFrame.minY)
        context.scaleBy(x: resizedFrame.width / 24, y: resizedFrame.height / 24)


        //// Color Declarations
        let inactiveColor = UIColor(red: 0.741, green: 0.835, blue: 0.918, alpha: 1.000)

        //// Variable Declarations
        let tabitemColor = isSelected ? MWStyles.themeColor : inactiveColor

        //// house Drawing
        let housePath = UIBezierPath()
        housePath.move(to: CGPoint(x: 24, y: 12))
        housePath.addLine(to: CGPoint(x: 24, y: 12))
        housePath.addCurve(to: CGPoint(x: 23.71, y: 12.71), controlPoint1: CGPoint(x: 24, y: 12.26), controlPoint2: CGPoint(x: 23.9, y: 12.52))
        housePath.addLine(to: CGPoint(x: 23.71, y: 12.71))
        housePath.addCurve(to: CGPoint(x: 23.52, y: 12.84), controlPoint1: CGPoint(x: 23.66, y: 12.76), controlPoint2: CGPoint(x: 23.59, y: 12.81))
        housePath.addLine(to: CGPoint(x: 23.52, y: 12.84))
        housePath.addCurve(to: CGPoint(x: 21.98, y: 14), controlPoint1: CGPoint(x: 23.21, y: 13.44), controlPoint2: CGPoint(x: 22.65, y: 13.87))
        housePath.addLine(to: CGPoint(x: 21, y: 14))
        housePath.addLine(to: CGPoint(x: 21, y: 22))
        housePath.addLine(to: CGPoint(x: 21, y: 22))
        housePath.addCurve(to: CGPoint(x: 19, y: 24), controlPoint1: CGPoint(x: 21, y: 23.1), controlPoint2: CGPoint(x: 20.1, y: 24))
        housePath.addLine(to: CGPoint(x: 5, y: 24))
        housePath.addLine(to: CGPoint(x: 5, y: 24))
        housePath.addCurve(to: CGPoint(x: 3, y: 22), controlPoint1: CGPoint(x: 3.9, y: 24), controlPoint2: CGPoint(x: 3, y: 23.1))
        housePath.addLine(to: CGPoint(x: 3, y: 14))
        housePath.addLine(to: CGPoint(x: 2, y: 14))
        housePath.addLine(to: CGPoint(x: 2.01, y: 14))
        housePath.addCurve(to: CGPoint(x: 0.01, y: 12.07), controlPoint1: CGPoint(x: 0.93, y: 14), controlPoint2: CGPoint(x: 0.05, y: 13.14))
        housePath.addCurve(to: CGPoint(x: 0, y: 12.01), controlPoint1: CGPoint(x: 0.01, y: 12.04), controlPoint2: CGPoint(x: 0, y: 12.02))
        housePath.addLine(to: CGPoint(x: 0, y: 12))
        housePath.addLine(to: CGPoint(x: 0, y: 12))
        housePath.addLine(to: CGPoint(x: 0, y: 11.99))
        housePath.addCurve(to: CGPoint(x: 0.3, y: 11.32), controlPoint1: CGPoint(x: 0.01, y: 11.74), controlPoint2: CGPoint(x: 0.11, y: 11.5))
        housePath.addLine(to: CGPoint(x: 11.19, y: 0.42))
        housePath.addLine(to: CGPoint(x: 11.19, y: 0.43))
        housePath.addCurve(to: CGPoint(x: 11.29, y: 0.28), controlPoint1: CGPoint(x: 11.21, y: 0.38), controlPoint2: CGPoint(x: 11.25, y: 0.33))
        housePath.addLine(to: CGPoint(x: 11.29, y: 0.28))
        housePath.addCurve(to: CGPoint(x: 12.71, y: 0.28), controlPoint1: CGPoint(x: 11.69, y: -0.09), controlPoint2: CGPoint(x: 12.31, y: -0.09))
        housePath.addLine(to: CGPoint(x: 12.71, y: 0.28))
        housePath.addCurve(to: CGPoint(x: 12.81, y: 0.43), controlPoint1: CGPoint(x: 12.75, y: 0.33), controlPoint2: CGPoint(x: 12.79, y: 0.37))
        housePath.addLine(to: CGPoint(x: 23.71, y: 11.33))
        housePath.addLine(to: CGPoint(x: 23.7, y: 11.32))
        housePath.addCurve(to: CGPoint(x: 24, y: 11.99), controlPoint1: CGPoint(x: 23.89, y: 11.5), controlPoint2: CGPoint(x: 23.99, y: 11.74))
        housePath.addLine(to: CGPoint(x: 24, y: 12))
        housePath.addLine(to: CGPoint(x: 24, y: 12))
        housePath.addLine(to: CGPoint(x: 24, y: 12))
        housePath.close()
        housePath.move(to: CGPoint(x: 11, y: 22))
        housePath.addLine(to: CGPoint(x: 13, y: 22))
        housePath.addLine(to: CGPoint(x: 13, y: 17))
        housePath.addLine(to: CGPoint(x: 11, y: 17))
        housePath.addLine(to: CGPoint(x: 11, y: 22))
        housePath.close()
        housePath.move(to: CGPoint(x: 12, y: 2.38))
        housePath.addLine(to: CGPoint(x: 2.38, y: 12))
        housePath.addLine(to: CGPoint(x: 5, y: 12))
        housePath.addLine(to: CGPoint(x: 5, y: 22))
        housePath.addLine(to: CGPoint(x: 9, y: 22))
        housePath.addLine(to: CGPoint(x: 9, y: 16))
        housePath.addLine(to: CGPoint(x: 9, y: 16))
        housePath.addCurve(to: CGPoint(x: 10, y: 15), controlPoint1: CGPoint(x: 9, y: 15.44), controlPoint2: CGPoint(x: 9.45, y: 15))
        housePath.addLine(to: CGPoint(x: 14, y: 15))
        housePath.addLine(to: CGPoint(x: 14, y: 15))
        housePath.addCurve(to: CGPoint(x: 15, y: 16), controlPoint1: CGPoint(x: 14.55, y: 15), controlPoint2: CGPoint(x: 15, y: 15.44))
        housePath.addLine(to: CGPoint(x: 15, y: 22))
        housePath.addLine(to: CGPoint(x: 19, y: 22))
        housePath.addLine(to: CGPoint(x: 19, y: 12))
        housePath.addLine(to: CGPoint(x: 21.62, y: 12))
        housePath.addLine(to: CGPoint(x: 12, y: 2.38))
        housePath.close()
        housePath.usesEvenOddFillRule = true
        tabitemColor.setFill()
        housePath.fill()
        
        context.restoreGState()

    }

    public dynamic class func drawSettingsicon(frame targetFrame: CGRect = CGRect(x: 0, y: 0, width: 24, height: 24), resizing: ResizingBehavior = .aspectFit, isSelected: Bool = false) {
        //// General Declarations
        let context = UIGraphicsGetCurrentContext()!
        
        //// Resize to Target Frame
        context.saveGState()
        let resizedFrame: CGRect = resizing.apply(rect: CGRect(x: 0, y: 0, width: 24, height: 24), target: targetFrame)
        context.translateBy(x: resizedFrame.minX, y: resizedFrame.minY)
        context.scaleBy(x: resizedFrame.width / 24, y: resizedFrame.height / 24)


        //// Color Declarations
        let inactiveColor = UIColor(red: 0.741, green: 0.835, blue: 0.918, alpha: 1.000)

        //// Variable Declarations
        let tabitemColor = isSelected ? MWStyles.themeColor : inactiveColor

        //// gear Drawing
        let gearPath = UIBezierPath()
        gearPath.move(to: CGPoint(x: 23.92, y: 13.39))
        gearPath.addLine(to: CGPoint(x: 23.92, y: 13.4))
        gearPath.addCurve(to: CGPoint(x: 22.46, y: 14.69), controlPoint1: CGPoint(x: 23.83, y: 14.14), controlPoint2: CGPoint(x: 23.2, y: 14.69))
        gearPath.addCurve(to: CGPoint(x: 22.38, y: 14.69), controlPoint1: CGPoint(x: 22.44, y: 14.69), controlPoint2: CGPoint(x: 22.41, y: 14.69))
        gearPath.addLine(to: CGPoint(x: 22.27, y: 14.69))
        gearPath.addLine(to: CGPoint(x: 22.28, y: 14.69))
        gearPath.addCurve(to: CGPoint(x: 20.66, y: 16.3), controlPoint1: CGPoint(x: 21.39, y: 14.69), controlPoint2: CGPoint(x: 20.66, y: 15.41))
        gearPath.addCurve(to: CGPoint(x: 21.2, y: 17.5), controlPoint1: CGPoint(x: 20.66, y: 16.76), controlPoint2: CGPoint(x: 20.86, y: 17.2))
        gearPath.addLine(to: CGPoint(x: 21.21, y: 17.51))
        gearPath.addCurve(to: CGPoint(x: 21.35, y: 19.53), controlPoint1: CGPoint(x: 21.78, y: 18.04), controlPoint2: CGPoint(x: 21.84, y: 18.92))
        gearPath.addLine(to: CGPoint(x: 21.34, y: 19.54))
        gearPath.addCurve(to: CGPoint(x: 19.43, y: 21.42), controlPoint1: CGPoint(x: 20.77, y: 20.24), controlPoint2: CGPoint(x: 20.13, y: 20.87))
        gearPath.addLine(to: CGPoint(x: 19.41, y: 21.43))
        gearPath.addCurve(to: CGPoint(x: 18.5, y: 21.75), controlPoint1: CGPoint(x: 19.15, y: 21.64), controlPoint2: CGPoint(x: 18.83, y: 21.75))
        gearPath.addLine(to: CGPoint(x: 18.51, y: 21.75))
        gearPath.addCurve(to: CGPoint(x: 17.42, y: 21.27), controlPoint1: CGPoint(x: 18.1, y: 21.75), controlPoint2: CGPoint(x: 17.7, y: 21.57))
        gearPath.addLine(to: CGPoint(x: 17.42, y: 21.27))
        gearPath.addCurve(to: CGPoint(x: 16.19, y: 20.75), controlPoint1: CGPoint(x: 17.1, y: 20.94), controlPoint2: CGPoint(x: 16.65, y: 20.75))
        gearPath.addLine(to: CGPoint(x: 16.16, y: 20.75))
        gearPath.addCurve(to: CGPoint(x: 15.6, y: 20.86), controlPoint1: CGPoint(x: 15.97, y: 20.75), controlPoint2: CGPoint(x: 15.78, y: 20.78))
        gearPath.addLine(to: CGPoint(x: 15.6, y: 20.85))
        gearPath.addCurve(to: CGPoint(x: 14.61, y: 22.42), controlPoint1: CGPoint(x: 14.98, y: 21.12), controlPoint2: CGPoint(x: 14.59, y: 21.74))
        gearPath.addLine(to: CGPoint(x: 14.61, y: 22.41))
        gearPath.addCurve(to: CGPoint(x: 13.31, y: 23.92), controlPoint1: CGPoint(x: 14.64, y: 23.17), controlPoint2: CGPoint(x: 14.07, y: 23.83))
        gearPath.addLine(to: CGPoint(x: 13.23, y: 23.93))
        gearPath.addCurve(to: CGPoint(x: 10.52, y: 23.91), controlPoint1: CGPoint(x: 12.33, y: 24.03), controlPoint2: CGPoint(x: 11.42, y: 24.02))
        gearPath.addLine(to: CGPoint(x: 10.59, y: 23.92))
        gearPath.addCurve(to: CGPoint(x: 9.31, y: 22.36), controlPoint1: CGPoint(x: 9.82, y: 23.82), controlPoint2: CGPoint(x: 9.26, y: 23.14))
        gearPath.addLine(to: CGPoint(x: 9.31, y: 22.38))
        gearPath.addCurve(to: CGPoint(x: 8.32, y: 20.79), controlPoint1: CGPoint(x: 9.35, y: 21.69), controlPoint2: CGPoint(x: 8.95, y: 21.05))
        gearPath.addLine(to: CGPoint(x: 8.32, y: 20.79))
        gearPath.addCurve(to: CGPoint(x: 7.76, y: 20.68), controlPoint1: CGPoint(x: 8.14, y: 20.72), controlPoint2: CGPoint(x: 7.95, y: 20.68))
        gearPath.addLine(to: CGPoint(x: 7.76, y: 20.68))
        gearPath.addCurve(to: CGPoint(x: 6.51, y: 21.18), controlPoint1: CGPoint(x: 7.3, y: 20.67), controlPoint2: CGPoint(x: 6.85, y: 20.85))
        gearPath.addLine(to: CGPoint(x: 6.5, y: 21.19))
        gearPath.addCurve(to: CGPoint(x: 4.49, y: 21.37), controlPoint1: CGPoint(x: 5.98, y: 21.77), controlPoint2: CGPoint(x: 5.11, y: 21.85))
        gearPath.addLine(to: CGPoint(x: 4.47, y: 21.35))
        gearPath.addCurve(to: CGPoint(x: 2.59, y: 19.44), controlPoint1: CGPoint(x: 3.78, y: 20.79), controlPoint2: CGPoint(x: 3.15, y: 20.15))
        gearPath.addLine(to: CGPoint(x: 2.6, y: 19.44))
        gearPath.addCurve(to: CGPoint(x: 2.74, y: 17.46), controlPoint1: CGPoint(x: 2.11, y: 18.85), controlPoint2: CGPoint(x: 2.18, y: 17.98))
        gearPath.addLine(to: CGPoint(x: 2.75, y: 17.44))
        gearPath.addCurve(to: CGPoint(x: 3.16, y: 15.63), controlPoint1: CGPoint(x: 3.25, y: 16.98), controlPoint2: CGPoint(x: 3.41, y: 16.26))
        gearPath.addLine(to: CGPoint(x: 3.16, y: 15.64))
        gearPath.addCurve(to: CGPoint(x: 1.7, y: 14.64), controlPoint1: CGPoint(x: 2.92, y: 15.04), controlPoint2: CGPoint(x: 2.35, y: 14.65))
        gearPath.addLine(to: CGPoint(x: 1.65, y: 14.64))
        gearPath.addLine(to: CGPoint(x: 1.66, y: 14.64))
        gearPath.addCurve(to: CGPoint(x: 0.08, y: 13.34), controlPoint1: CGPoint(x: 0.88, y: 14.65), controlPoint2: CGPoint(x: 0.22, y: 14.1))
        gearPath.addLine(to: CGPoint(x: 0.08, y: 13.35))
        gearPath.addCurve(to: CGPoint(x: 0.08, y: 10.59), controlPoint1: CGPoint(x: -0.03, y: 12.43), controlPoint2: CGPoint(x: -0.03, y: 11.5))
        gearPath.addLine(to: CGPoint(x: 0.08, y: 10.6))
        gearPath.addCurve(to: CGPoint(x: 1.57, y: 9.3), controlPoint1: CGPoint(x: 0.16, y: 9.84), controlPoint2: CGPoint(x: 0.81, y: 9.28))
        gearPath.addLine(to: CGPoint(x: 1.59, y: 9.3))
        gearPath.addCurve(to: CGPoint(x: 3.22, y: 8.3), controlPoint1: CGPoint(x: 2.28, y: 9.33), controlPoint2: CGPoint(x: 2.92, y: 8.93))
        gearPath.addLine(to: CGPoint(x: 3.21, y: 8.3))
        gearPath.addCurve(to: CGPoint(x: 2.8, y: 6.49), controlPoint1: CGPoint(x: 3.47, y: 7.67), controlPoint2: CGPoint(x: 3.3, y: 6.95))
        gearPath.addLine(to: CGPoint(x: 2.79, y: 6.49))
        gearPath.addCurve(to: CGPoint(x: 2.65, y: 4.47), controlPoint1: CGPoint(x: 2.22, y: 5.96), controlPoint2: CGPoint(x: 2.16, y: 5.07))
        gearPath.addLine(to: CGPoint(x: 2.67, y: 4.45))
        gearPath.addCurve(to: CGPoint(x: 4.61, y: 2.54), controlPoint1: CGPoint(x: 3.24, y: 3.74), controlPoint2: CGPoint(x: 3.89, y: 3.1))
        gearPath.addLine(to: CGPoint(x: 4.57, y: 2.57))
        gearPath.addCurve(to: CGPoint(x: 5.47, y: 2.25), controlPoint1: CGPoint(x: 4.83, y: 2.37), controlPoint2: CGPoint(x: 5.15, y: 2.26))
        gearPath.addLine(to: CGPoint(x: 5.49, y: 2.25))
        gearPath.addCurve(to: CGPoint(x: 6.57, y: 2.72), controlPoint1: CGPoint(x: 5.9, y: 2.25), controlPoint2: CGPoint(x: 6.29, y: 2.42))
        gearPath.addLine(to: CGPoint(x: 6.57, y: 2.72))
        gearPath.addCurve(to: CGPoint(x: 7.81, y: 3.25), controlPoint1: CGPoint(x: 6.9, y: 3.06), controlPoint2: CGPoint(x: 7.34, y: 3.25))
        gearPath.addLine(to: CGPoint(x: 7.82, y: 3.25))
        gearPath.addCurve(to: CGPoint(x: 8.37, y: 3.16), controlPoint1: CGPoint(x: 8.01, y: 3.25), controlPoint2: CGPoint(x: 8.19, y: 3.22))
        gearPath.addLine(to: CGPoint(x: 8.39, y: 3.15))
        gearPath.addCurve(to: CGPoint(x: 9.39, y: 1.58), controlPoint1: CGPoint(x: 9.02, y: 2.88), controlPoint2: CGPoint(x: 9.41, y: 2.26))
        gearPath.addLine(to: CGPoint(x: 9.39, y: 1.59))
        gearPath.addCurve(to: CGPoint(x: 10.68, y: 0.07), controlPoint1: CGPoint(x: 9.36, y: 0.83), controlPoint2: CGPoint(x: 9.93, y: 0.17))
        gearPath.addLine(to: CGPoint(x: 10.76, y: 0.07))
        gearPath.addCurve(to: CGPoint(x: 13.48, y: 0.09), controlPoint1: CGPoint(x: 11.67, y: -0.03), controlPoint2: CGPoint(x: 12.58, y: -0.02))
        gearPath.addLine(to: CGPoint(x: 13.41, y: 0.08))
        gearPath.addCurve(to: CGPoint(x: 14.69, y: 1.64), controlPoint1: CGPoint(x: 14.18, y: 0.18), controlPoint2: CGPoint(x: 14.74, y: 0.86))
        gearPath.addLine(to: CGPoint(x: 14.69, y: 1.63))
        gearPath.addCurve(to: CGPoint(x: 15.68, y: 3.21), controlPoint1: CGPoint(x: 14.65, y: 2.31), controlPoint2: CGPoint(x: 15.05, y: 2.94))
        gearPath.addLine(to: CGPoint(x: 15.67, y: 3.21))
        gearPath.addCurve(to: CGPoint(x: 16.24, y: 3.32), controlPoint1: CGPoint(x: 15.85, y: 3.28), controlPoint2: CGPoint(x: 16.05, y: 3.32))
        gearPath.addLine(to: CGPoint(x: 16.26, y: 3.32))
        gearPath.addCurve(to: CGPoint(x: 17.51, y: 2.79), controlPoint1: CGPoint(x: 16.73, y: 3.32), controlPoint2: CGPoint(x: 17.18, y: 3.13))
        gearPath.addLine(to: CGPoint(x: 17.5, y: 2.8))
        gearPath.addCurve(to: CGPoint(x: 19.5, y: 2.63), controlPoint1: CGPoint(x: 18.01, y: 2.23), controlPoint2: CGPoint(x: 18.89, y: 2.15))
        gearPath.addLine(to: CGPoint(x: 19.56, y: 2.68))
        gearPath.addCurve(to: CGPoint(x: 21.42, y: 4.57), controlPoint1: CGPoint(x: 20.25, y: 3.24), controlPoint2: CGPoint(x: 20.87, y: 3.87))
        gearPath.addLine(to: CGPoint(x: 21.4, y: 4.55))
        gearPath.addCurve(to: CGPoint(x: 21.26, y: 6.55), controlPoint1: CGPoint(x: 21.89, y: 5.15), controlPoint2: CGPoint(x: 21.83, y: 6.02))
        gearPath.addLine(to: CGPoint(x: 21.25, y: 6.56))
        gearPath.addCurve(to: CGPoint(x: 21.13, y: 8.83), controlPoint1: CGPoint(x: 20.59, y: 7.15), controlPoint2: CGPoint(x: 20.54, y: 8.17))
        gearPath.addCurve(to: CGPoint(x: 22.36, y: 9.37), controlPoint1: CGPoint(x: 21.45, y: 9.18), controlPoint2: CGPoint(x: 21.89, y: 9.38))
        gearPath.addLine(to: CGPoint(x: 22.37, y: 9.37))
        gearPath.addCurve(to: CGPoint(x: 23.92, y: 10.69), controlPoint1: CGPoint(x: 23.15, y: 9.37), controlPoint2: CGPoint(x: 23.8, y: 9.93))
        gearPath.addLine(to: CGPoint(x: 23.91, y: 10.58))
        gearPath.addCurve(to: CGPoint(x: 23.93, y: 13.27), controlPoint1: CGPoint(x: 24.02, y: 11.47), controlPoint2: CGPoint(x: 24.03, y: 12.38))
        gearPath.addLine(to: CGPoint(x: 23.92, y: 13.39))
        gearPath.close()
        gearPath.move(to: CGPoint(x: 21.94, y: 11.07))
        gearPath.addLine(to: CGPoint(x: 21.96, y: 11.07))
        gearPath.addCurve(to: CGPoint(x: 18.8, y: 7.8), controlPoint1: CGPoint(x: 20.18, y: 11.04), controlPoint2: CGPoint(x: 18.77, y: 9.57))
        gearPath.addCurve(to: CGPoint(x: 19.7, y: 5.62), controlPoint1: CGPoint(x: 18.81, y: 6.98), controlPoint2: CGPoint(x: 19.14, y: 6.2))
        gearPath.addLine(to: CGPoint(x: 19.72, y: 5.64))
        gearPath.addCurve(to: CGPoint(x: 18.42, y: 4.32), controlPoint1: CGPoint(x: 19.33, y: 5.16), controlPoint2: CGPoint(x: 18.9, y: 4.72))
        gearPath.addLine(to: CGPoint(x: 18.4, y: 4.3))
        gearPath.addCurve(to: CGPoint(x: 16.11, y: 5.2), controlPoint1: CGPoint(x: 17.78, y: 4.88), controlPoint2: CGPoint(x: 16.96, y: 5.2))
        gearPath.addLine(to: CGPoint(x: 16.09, y: 5.2))
        gearPath.addCurve(to: CGPoint(x: 14.9, y: 4.96), controlPoint1: CGPoint(x: 15.68, y: 5.2), controlPoint2: CGPoint(x: 15.27, y: 5.12))
        gearPath.addLine(to: CGPoint(x: 14.92, y: 4.97))
        gearPath.addCurve(to: CGPoint(x: 12.95, y: 2), controlPoint1: CGPoint(x: 13.72, y: 4.46), controlPoint2: CGPoint(x: 12.95, y: 3.29))
        gearPath.addLine(to: CGPoint(x: 12.9, y: 2.02))
        gearPath.addCurve(to: CGPoint(x: 10.98, y: 2.04), controlPoint1: CGPoint(x: 12.26, y: 1.96), controlPoint2: CGPoint(x: 11.62, y: 1.97))
        gearPath.addLine(to: CGPoint(x: 11.1, y: 2.01))
        gearPath.addCurve(to: CGPoint(x: 9.02, y: 4.73), controlPoint1: CGPoint(x: 11.04, y: 3.26), controlPoint2: CGPoint(x: 10.21, y: 4.34))
        gearPath.addLine(to: CGPoint(x: 9.01, y: 4.74))
        gearPath.addCurve(to: CGPoint(x: 7.92, y: 5.14), controlPoint1: CGPoint(x: 8.68, y: 4.94), controlPoint2: CGPoint(x: 8.31, y: 5.08))
        gearPath.addLine(to: CGPoint(x: 7.93, y: 5.14))
        gearPath.addCurve(to: CGPoint(x: 5.64, y: 4.24), controlPoint1: CGPoint(x: 7.08, y: 5.14), controlPoint2: CGPoint(x: 6.26, y: 4.82))
        gearPath.addLine(to: CGPoint(x: 5.64, y: 4.26))
        gearPath.addCurve(to: CGPoint(x: 4.32, y: 5.56), controlPoint1: CGPoint(x: 5.16, y: 4.65), controlPoint2: CGPoint(x: 4.72, y: 5.08))
        gearPath.addLine(to: CGPoint(x: 4.31, y: 5.57))
        gearPath.addCurve(to: CGPoint(x: 4.96, y: 9.07), controlPoint1: CGPoint(x: 5.21, y: 6.5), controlPoint2: CGPoint(x: 5.47, y: 7.88))
        gearPath.addLine(to: CGPoint(x: 4.97, y: 9.06))
        gearPath.addCurve(to: CGPoint(x: 2.01, y: 11.02), controlPoint1: CGPoint(x: 4.44, y: 10.23), controlPoint2: CGPoint(x: 3.29, y: 11))
        gearPath.addLine(to: CGPoint(x: 2.02, y: 11.08))
        gearPath.addCurve(to: CGPoint(x: 2.02, y: 12.95), controlPoint1: CGPoint(x: 1.97, y: 11.7), controlPoint2: CGPoint(x: 1.97, y: 12.33))
        gearPath.addLine(to: CGPoint(x: 2.01, y: 12.9))
        gearPath.addCurve(to: CGPoint(x: 5.17, y: 16.16), controlPoint1: CGPoint(x: 3.79, y: 12.93), controlPoint2: CGPoint(x: 5.2, y: 14.39))
        gearPath.addCurve(to: CGPoint(x: 4.27, y: 18.34), controlPoint1: CGPoint(x: 5.15, y: 16.98), controlPoint2: CGPoint(x: 4.83, y: 17.75))
        gearPath.addLine(to: CGPoint(x: 4.29, y: 18.38))
        gearPath.addCurve(to: CGPoint(x: 5.63, y: 19.72), controlPoint1: CGPoint(x: 4.7, y: 18.87), controlPoint2: CGPoint(x: 5.14, y: 19.31))
        gearPath.addLine(to: CGPoint(x: 5.55, y: 19.67))
        gearPath.addCurve(to: CGPoint(x: 7.86, y: 18.76), controlPoint1: CGPoint(x: 6.18, y: 19.09), controlPoint2: CGPoint(x: 7, y: 18.76))
        gearPath.addLine(to: CGPoint(x: 7.87, y: 18.76))
        gearPath.addCurve(to: CGPoint(x: 9.07, y: 19.01), controlPoint1: CGPoint(x: 8.29, y: 18.76), controlPoint2: CGPoint(x: 8.69, y: 18.85))
        gearPath.addLine(to: CGPoint(x: 9.06, y: 19))
        gearPath.addCurve(to: CGPoint(x: 11.02, y: 21.96), controlPoint1: CGPoint(x: 10.25, y: 19.51), controlPoint2: CGPoint(x: 11.02, y: 20.67))
        gearPath.addLine(to: CGPoint(x: 11.08, y: 21.95))
        gearPath.addCurve(to: CGPoint(x: 12.98, y: 21.93), controlPoint1: CGPoint(x: 11.71, y: 22), controlPoint2: CGPoint(x: 12.35, y: 22))
        gearPath.addLine(to: CGPoint(x: 12.87, y: 21.93))
        gearPath.addCurve(to: CGPoint(x: 14.85, y: 19.05), controlPoint1: CGPoint(x: 12.91, y: 20.67), controlPoint2: CGPoint(x: 13.69, y: 19.55))
        gearPath.addLine(to: CGPoint(x: 14.86, y: 19.05))
        gearPath.addCurve(to: CGPoint(x: 16.02, y: 18.82), controlPoint1: CGPoint(x: 15.22, y: 18.9), controlPoint2: CGPoint(x: 15.62, y: 18.82))
        gearPath.addLine(to: CGPoint(x: 16.04, y: 18.82))
        gearPath.addCurve(to: CGPoint(x: 18.33, y: 19.73), controlPoint1: CGPoint(x: 16.89, y: 18.82), controlPoint2: CGPoint(x: 17.71, y: 19.15))
        gearPath.addLine(to: CGPoint(x: 18.26, y: 19.76))
        gearPath.addCurve(to: CGPoint(x: 19.59, y: 18.49), controlPoint1: CGPoint(x: 18.74, y: 19.38), controlPoint2: CGPoint(x: 19.18, y: 18.95))
        gearPath.addLine(to: CGPoint(x: 19.65, y: 18.39))
        gearPath.addCurve(to: CGPoint(x: 19, y: 14.91), controlPoint1: CGPoint(x: 18.75, y: 17.46), controlPoint2: CGPoint(x: 18.5, y: 16.09))
        gearPath.addLine(to: CGPoint(x: 19, y: 14.92))
        gearPath.addCurve(to: CGPoint(x: 21.94, y: 12.94), controlPoint1: CGPoint(x: 19.5, y: 13.74), controlPoint2: CGPoint(x: 20.65, y: 12.96))
        gearPath.addLine(to: CGPoint(x: 21.93, y: 13.02))
        gearPath.addCurve(to: CGPoint(x: 21.95, y: 11.15), controlPoint1: CGPoint(x: 22, y: 12.4), controlPoint2: CGPoint(x: 22, y: 11.77))
        gearPath.addLine(to: CGPoint(x: 21.94, y: 11.07))
        gearPath.close()
        gearPath.move(to: CGPoint(x: 12, y: 15.99))
        gearPath.addLine(to: CGPoint(x: 11.98, y: 15.99))
        gearPath.addCurve(to: CGPoint(x: 7.98, y: 11.98), controlPoint1: CGPoint(x: 9.77, y: 15.99), controlPoint2: CGPoint(x: 7.98, y: 14.2))
        gearPath.addCurve(to: CGPoint(x: 11.98, y: 7.98), controlPoint1: CGPoint(x: 7.98, y: 9.77), controlPoint2: CGPoint(x: 9.77, y: 7.98))
        gearPath.addCurve(to: CGPoint(x: 15.99, y: 11.98), controlPoint1: CGPoint(x: 14.2, y: 7.98), controlPoint2: CGPoint(x: 15.99, y: 9.77))
        gearPath.addLine(to: CGPoint(x: 15.99, y: 11.99))
        gearPath.addCurve(to: CGPoint(x: 11.99, y: 15.99), controlPoint1: CGPoint(x: 15.99, y: 14.2), controlPoint2: CGPoint(x: 14.2, y: 15.99))
        gearPath.addLine(to: CGPoint(x: 12, y: 15.99))
        gearPath.close()
        gearPath.move(to: CGPoint(x: 12, y: 10))
        gearPath.addLine(to: CGPoint(x: 12.01, y: 10))
        gearPath.addCurve(to: CGPoint(x: 10.01, y: 12), controlPoint1: CGPoint(x: 10.91, y: 10), controlPoint2: CGPoint(x: 10.01, y: 10.89))
        gearPath.addCurve(to: CGPoint(x: 12.01, y: 14), controlPoint1: CGPoint(x: 10.01, y: 13.1), controlPoint2: CGPoint(x: 10.91, y: 14))
        gearPath.addCurve(to: CGPoint(x: 14.01, y: 12), controlPoint1: CGPoint(x: 13.11, y: 14), controlPoint2: CGPoint(x: 14.01, y: 13.1))
        gearPath.addLine(to: CGPoint(x: 14.01, y: 12))
        gearPath.addCurve(to: CGPoint(x: 12.01, y: 10), controlPoint1: CGPoint(x: 14.01, y: 10.89), controlPoint2: CGPoint(x: 13.11, y: 10))
        gearPath.addLine(to: CGPoint(x: 12, y: 10))
        gearPath.close()
        gearPath.usesEvenOddFillRule = true
        tabitemColor.setFill()
        gearPath.fill()
        
        context.restoreGState()

    }

    public dynamic class func drawStatisticsicon(frame targetFrame: CGRect = CGRect(x: 0, y: 0, width: 22, height: 24), resizing: ResizingBehavior = .aspectFit, isSelected: Bool = false) {
        //// General Declarations
        let context = UIGraphicsGetCurrentContext()!
        
        //// Resize to Target Frame
        context.saveGState()
        let resizedFrame: CGRect = resizing.apply(rect: CGRect(x: 0, y: 0, width: 22, height: 24), target: targetFrame)
        context.translateBy(x: resizedFrame.minX, y: resizedFrame.minY)
        context.scaleBy(x: resizedFrame.width / 22, y: resizedFrame.height / 24)


        //// Color Declarations
        let inactiveColor = UIColor(red: 0.741, green: 0.835, blue: 0.918, alpha: 1.000)

        //// Variable Declarations
        let tabitemColor = isSelected ? MWStyles.themeColor : inactiveColor

        //// stats2 Drawing
        let stats2Path = UIBezierPath()
        stats2Path.move(to: CGPoint(x: 19, y: 24))
        stats2Path.addLine(to: CGPoint(x: 19, y: 24))
        stats2Path.addCurve(to: CGPoint(x: 16, y: 21), controlPoint1: CGPoint(x: 17.34, y: 24), controlPoint2: CGPoint(x: 16, y: 22.66))
        stats2Path.addLine(to: CGPoint(x: 16, y: 3))
        stats2Path.addLine(to: CGPoint(x: 16, y: 3))
        stats2Path.addCurve(to: CGPoint(x: 19, y: 0), controlPoint1: CGPoint(x: 16, y: 1.34), controlPoint2: CGPoint(x: 17.34, y: 0))
        stats2Path.addCurve(to: CGPoint(x: 22, y: 3), controlPoint1: CGPoint(x: 20.66, y: 0), controlPoint2: CGPoint(x: 22, y: 1.34))
        stats2Path.addLine(to: CGPoint(x: 22, y: 21))
        stats2Path.addLine(to: CGPoint(x: 22, y: 21))
        stats2Path.addCurve(to: CGPoint(x: 19, y: 24), controlPoint1: CGPoint(x: 22, y: 22.66), controlPoint2: CGPoint(x: 20.66, y: 24))
        stats2Path.close()
        stats2Path.move(to: CGPoint(x: 20, y: 2))
        stats2Path.addLine(to: CGPoint(x: 18, y: 2))
        stats2Path.addLine(to: CGPoint(x: 18, y: 22))
        stats2Path.addLine(to: CGPoint(x: 20, y: 22))
        stats2Path.addLine(to: CGPoint(x: 20, y: 2))
        stats2Path.close()
        stats2Path.move(to: CGPoint(x: 11, y: 24))
        stats2Path.addLine(to: CGPoint(x: 11, y: 24))
        stats2Path.addCurve(to: CGPoint(x: 8, y: 21), controlPoint1: CGPoint(x: 9.34, y: 24), controlPoint2: CGPoint(x: 8, y: 22.66))
        stats2Path.addLine(to: CGPoint(x: 8, y: 10))
        stats2Path.addLine(to: CGPoint(x: 8, y: 10))
        stats2Path.addCurve(to: CGPoint(x: 11, y: 7), controlPoint1: CGPoint(x: 8, y: 8.34), controlPoint2: CGPoint(x: 9.34, y: 7))
        stats2Path.addCurve(to: CGPoint(x: 14, y: 10), controlPoint1: CGPoint(x: 12.66, y: 7), controlPoint2: CGPoint(x: 14, y: 8.34))
        stats2Path.addLine(to: CGPoint(x: 14, y: 21))
        stats2Path.addLine(to: CGPoint(x: 14, y: 21))
        stats2Path.addCurve(to: CGPoint(x: 11, y: 24), controlPoint1: CGPoint(x: 14, y: 22.66), controlPoint2: CGPoint(x: 12.66, y: 24))
        stats2Path.close()
        stats2Path.move(to: CGPoint(x: 12, y: 9))
        stats2Path.addLine(to: CGPoint(x: 10, y: 9))
        stats2Path.addLine(to: CGPoint(x: 10, y: 22))
        stats2Path.addLine(to: CGPoint(x: 12, y: 22))
        stats2Path.addLine(to: CGPoint(x: 12, y: 9))
        stats2Path.close()
        stats2Path.move(to: CGPoint(x: 3, y: 24))
        stats2Path.addLine(to: CGPoint(x: 3, y: 24))
        stats2Path.addCurve(to: CGPoint(x: 0, y: 21), controlPoint1: CGPoint(x: 1.34, y: 24), controlPoint2: CGPoint(x: 0, y: 22.66))
        stats2Path.addLine(to: CGPoint(x: 0, y: 17))
        stats2Path.addLine(to: CGPoint(x: 0, y: 17))
        stats2Path.addCurve(to: CGPoint(x: 3, y: 14), controlPoint1: CGPoint(x: 0, y: 15.34), controlPoint2: CGPoint(x: 1.34, y: 14))
        stats2Path.addCurve(to: CGPoint(x: 6, y: 17), controlPoint1: CGPoint(x: 4.66, y: 14), controlPoint2: CGPoint(x: 6, y: 15.34))
        stats2Path.addLine(to: CGPoint(x: 6, y: 21))
        stats2Path.addLine(to: CGPoint(x: 6, y: 21))
        stats2Path.addCurve(to: CGPoint(x: 3, y: 24), controlPoint1: CGPoint(x: 6, y: 22.66), controlPoint2: CGPoint(x: 4.66, y: 24))
        stats2Path.close()
        stats2Path.move(to: CGPoint(x: 4, y: 16))
        stats2Path.addLine(to: CGPoint(x: 2, y: 16))
        stats2Path.addLine(to: CGPoint(x: 2, y: 22))
        stats2Path.addLine(to: CGPoint(x: 4, y: 22))
        stats2Path.addLine(to: CGPoint(x: 4, y: 16))
        stats2Path.close()
        stats2Path.usesEvenOddFillRule = true
        tabitemColor.setFill()
        stats2Path.fill()
        
        context.restoreGState()

    }

    public dynamic class func drawRemindericon(frame targetFrame: CGRect = CGRect(x: 0, y: 0, width: 24, height: 24), resizing: ResizingBehavior = .aspectFit, isSelected: Bool = false) {
        //// General Declarations
        let context = UIGraphicsGetCurrentContext()!
        
        //// Resize to Target Frame
        context.saveGState()
        let resizedFrame: CGRect = resizing.apply(rect: CGRect(x: 0, y: 0, width: 24, height: 24), target: targetFrame)
        context.translateBy(x: resizedFrame.minX, y: resizedFrame.minY)
        context.scaleBy(x: resizedFrame.width / 24, y: resizedFrame.height / 24)


        //// Color Declarations
        let inactiveColor = UIColor(red: 0.741, green: 0.835, blue: 0.918, alpha: 1.000)

        //// Variable Declarations
        let tabitemColor = isSelected ? MWStyles.themeColor : inactiveColor

        //// clock2 Drawing
        let clock2Path = UIBezierPath()
        clock2Path.move(to: CGPoint(x: 21.72, y: 4.97))
        clock2Path.addLine(to: CGPoint(x: 21.7, y: 4.95))
        clock2Path.addCurve(to: CGPoint(x: 19.05, y: 2.3), controlPoint1: CGPoint(x: 20.96, y: 3.93), controlPoint2: CGPoint(x: 20.07, y: 3.04))
        clock2Path.addLine(to: CGPoint(x: 19.02, y: 2.27))
        clock2Path.addCurve(to: CGPoint(x: 21.72, y: 0.01), controlPoint1: CGPoint(x: 19.14, y: 0.9), controlPoint2: CGPoint(x: 20.35, y: -0.11))
        clock2Path.addCurve(to: CGPoint(x: 23.99, y: 2.71), controlPoint1: CGPoint(x: 23.09, y: 0.13), controlPoint2: CGPoint(x: 24.11, y: 1.34))
        clock2Path.addCurve(to: CGPoint(x: 21.72, y: 4.97), controlPoint1: CGPoint(x: 23.88, y: 3.91), controlPoint2: CGPoint(x: 22.93, y: 4.87))
        clock2Path.addLine(to: CGPoint(x: 21.72, y: 4.97))
        clock2Path.close()
        clock2Path.move(to: CGPoint(x: 22, y: 11.99))
        clock2Path.addLine(to: CGPoint(x: 22, y: 12))
        clock2Path.addCurve(to: CGPoint(x: 18.17, y: 19.85), controlPoint1: CGPoint(x: 22, y: 15.06), controlPoint2: CGPoint(x: 20.59, y: 17.96))
        clock2Path.addLine(to: CGPoint(x: 19.87, y: 22.62))
        clock2Path.addLine(to: CGPoint(x: 19.87, y: 22.62))
        clock2Path.addCurve(to: CGPoint(x: 19.57, y: 23.84), controlPoint1: CGPoint(x: 20.12, y: 23.04), controlPoint2: CGPoint(x: 19.99, y: 23.58))
        clock2Path.addCurve(to: CGPoint(x: 19.5, y: 23.87), controlPoint1: CGPoint(x: 19.55, y: 23.85), controlPoint2: CGPoint(x: 19.52, y: 23.86))
        clock2Path.addLine(to: CGPoint(x: 19.5, y: 23.88))
        clock2Path.addCurve(to: CGPoint(x: 18.13, y: 23.53), controlPoint1: CGPoint(x: 19.02, y: 24.13), controlPoint2: CGPoint(x: 18.43, y: 23.98))
        clock2Path.addLine(to: CGPoint(x: 16.49, y: 20.91))
        clock2Path.addLine(to: CGPoint(x: 16.51, y: 20.9))
        clock2Path.addCurve(to: CGPoint(x: 7.49, y: 20.9), controlPoint1: CGPoint(x: 13.68, y: 22.35), controlPoint2: CGPoint(x: 10.32, y: 22.35))
        clock2Path.addLine(to: CGPoint(x: 5.87, y: 23.54))
        clock2Path.addLine(to: CGPoint(x: 5.87, y: 23.53))
        clock2Path.addCurve(to: CGPoint(x: 4.5, y: 23.88), controlPoint1: CGPoint(x: 5.57, y: 23.98), controlPoint2: CGPoint(x: 4.98, y: 24.13))
        clock2Path.addLine(to: CGPoint(x: 4.5, y: 23.87))
        clock2Path.addCurve(to: CGPoint(x: 4.09, y: 22.69), controlPoint1: CGPoint(x: 4.06, y: 23.66), controlPoint2: CGPoint(x: 3.88, y: 23.13))
        clock2Path.addCurve(to: CGPoint(x: 4.13, y: 22.62), controlPoint1: CGPoint(x: 4.1, y: 22.67), controlPoint2: CGPoint(x: 4.11, y: 22.64))
        clock2Path.addLine(to: CGPoint(x: 5.86, y: 19.87))
        clock2Path.addLine(to: CGPoint(x: 5.84, y: 19.86))
        clock2Path.addCurve(to: CGPoint(x: 4.12, y: 5.83), controlPoint1: CGPoint(x: 1.49, y: 16.46), controlPoint2: CGPoint(x: 0.72, y: 10.18))
        clock2Path.addCurve(to: CGPoint(x: 18.16, y: 4.11), controlPoint1: CGPoint(x: 7.52, y: 1.48), controlPoint2: CGPoint(x: 13.8, y: 0.71))
        clock2Path.addCurve(to: CGPoint(x: 22, y: 11.98), controlPoint1: CGPoint(x: 20.58, y: 6), controlPoint2: CGPoint(x: 22, y: 8.91))
        clock2Path.addLine(to: CGPoint(x: 22, y: 11.99))
        clock2Path.close()
        clock2Path.move(to: CGPoint(x: 12, y: 4))
        clock2Path.addLine(to: CGPoint(x: 12, y: 4))
        clock2Path.addCurve(to: CGPoint(x: 4, y: 11.99), controlPoint1: CGPoint(x: 7.58, y: 4), controlPoint2: CGPoint(x: 4, y: 7.58))
        clock2Path.addCurve(to: CGPoint(x: 12, y: 19.99), controlPoint1: CGPoint(x: 4, y: 16.41), controlPoint2: CGPoint(x: 7.58, y: 19.99))
        clock2Path.addCurve(to: CGPoint(x: 20, y: 11.99), controlPoint1: CGPoint(x: 16.42, y: 19.99), controlPoint2: CGPoint(x: 20, y: 16.41))
        clock2Path.addLine(to: CGPoint(x: 20, y: 11.99))
        clock2Path.addCurve(to: CGPoint(x: 12, y: 4), controlPoint1: CGPoint(x: 20, y: 7.58), controlPoint2: CGPoint(x: 16.42, y: 4))
        clock2Path.close()
        clock2Path.move(to: CGPoint(x: 12.48, y: 13.74))
        clock2Path.addLine(to: CGPoint(x: 11.67, y: 12.92))
        clock2Path.addLine(to: CGPoint(x: 11.67, y: 12.92))
        clock2Path.addCurve(to: CGPoint(x: 11, y: 11.99), controlPoint1: CGPoint(x: 11.27, y: 12.79), controlPoint2: CGPoint(x: 11, y: 12.41))
        clock2Path.addLine(to: CGPoint(x: 11, y: 8.99))
        clock2Path.addLine(to: CGPoint(x: 11, y: 8.99))
        clock2Path.addCurve(to: CGPoint(x: 12, y: 8), controlPoint1: CGPoint(x: 11, y: 8.44), controlPoint2: CGPoint(x: 11.45, y: 8))
        clock2Path.addCurve(to: CGPoint(x: 13, y: 8.99), controlPoint1: CGPoint(x: 12.55, y: 8), controlPoint2: CGPoint(x: 13, y: 8.44))
        clock2Path.addLine(to: CGPoint(x: 13, y: 11.75))
        clock2Path.addLine(to: CGPoint(x: 13.73, y: 12.49))
        clock2Path.addLine(to: CGPoint(x: 13.73, y: 12.49))
        clock2Path.addCurve(to: CGPoint(x: 13.71, y: 13.75), controlPoint1: CGPoint(x: 14.08, y: 12.84), controlPoint2: CGPoint(x: 14.07, y: 13.41))
        clock2Path.addLine(to: CGPoint(x: 13.72, y: 13.74))
        clock2Path.addCurve(to: CGPoint(x: 12.49, y: 13.76), controlPoint1: CGPoint(x: 13.39, y: 14.08), controlPoint2: CGPoint(x: 12.84, y: 14.09))
        clock2Path.addCurve(to: CGPoint(x: 12.48, y: 13.75), controlPoint1: CGPoint(x: 12.49, y: 13.75), controlPoint2: CGPoint(x: 12.49, y: 13.75))
        clock2Path.addLine(to: CGPoint(x: 12.48, y: 13.74))
        clock2Path.close()
        clock2Path.move(to: CGPoint(x: 2.28, y: 4.97))
        clock2Path.addLine(to: CGPoint(x: 2.28, y: 4.97))
        clock2Path.addCurve(to: CGPoint(x: 0.01, y: 2.27), controlPoint1: CGPoint(x: 0.91, y: 4.85), controlPoint2: CGPoint(x: -0.11, y: 3.65))
        clock2Path.addCurve(to: CGPoint(x: 2.71, y: 0.01), controlPoint1: CGPoint(x: 0.13, y: 0.9), controlPoint2: CGPoint(x: 1.34, y: -0.11))
        clock2Path.addCurve(to: CGPoint(x: 4.98, y: 2.27), controlPoint1: CGPoint(x: 3.92, y: 0.11), controlPoint2: CGPoint(x: 4.87, y: 1.07))
        clock2Path.addLine(to: CGPoint(x: 4.95, y: 2.3))
        clock2Path.addCurve(to: CGPoint(x: 2.3, y: 4.95), controlPoint1: CGPoint(x: 3.93, y: 3.04), controlPoint2: CGPoint(x: 3.04, y: 3.93))
        clock2Path.addLine(to: CGPoint(x: 2.28, y: 4.97))
        clock2Path.close()
        clock2Path.usesEvenOddFillRule = true
        tabitemColor.setFill()
        clock2Path.fill()
        
        context.restoreGState()

    }

    //// Generated Images

    public dynamic class func imageOfHomeicon(isSelected: Bool = false) -> UIImage {
        UIGraphicsBeginImageContextWithOptions(CGSize(width: 24, height: 24), false, 0)
            MWStyles.drawHomeicon(isSelected: isSelected)

        let imageOfHomeicon = UIGraphicsGetImageFromCurrentImageContext()!
        UIGraphicsEndImageContext()

        return imageOfHomeicon
    }

    public dynamic class func imageOfSettingsicon(isSelected: Bool = false) -> UIImage {
        UIGraphicsBeginImageContextWithOptions(CGSize(width: 24, height: 24), false, 0)
            MWStyles.drawSettingsicon(isSelected: isSelected)

        let imageOfSettingsicon = UIGraphicsGetImageFromCurrentImageContext()!
        UIGraphicsEndImageContext()

        return imageOfSettingsicon
    }

    public dynamic class func imageOfStatisticsicon(isSelected: Bool = false) -> UIImage {
        UIGraphicsBeginImageContextWithOptions(CGSize(width: 22, height: 24), false, 0)
            MWStyles.drawStatisticsicon(isSelected: isSelected)

        let imageOfStatisticsicon = UIGraphicsGetImageFromCurrentImageContext()!
        UIGraphicsEndImageContext()

        return imageOfStatisticsicon
    }

    public dynamic class func imageOfRemindericon(isSelected: Bool = false) -> UIImage {
        UIGraphicsBeginImageContextWithOptions(CGSize(width: 24, height: 24), false, 0)
            MWStyles.drawRemindericon(isSelected: isSelected)

        let imageOfRemindericon = UIGraphicsGetImageFromCurrentImageContext()!
        UIGraphicsEndImageContext()

        return imageOfRemindericon
    }




    @objc(MWStylesResizingBehavior)
    public enum ResizingBehavior: Int {
        case aspectFit /// The content is proportionally resized to fit into the target rectangle.
        case aspectFill /// The content is proportionally resized to completely fill the target rectangle.
        case stretch /// The content is stretched to match the entire target rectangle.
        case center /// The content is centered in the target rectangle, but it is NOT resized.

        public func apply(rect: CGRect, target: CGRect) -> CGRect {
            if rect == target || target == CGRect.zero {
                return rect
            }

            var scales = CGSize.zero
            scales.width = abs(target.width / rect.width)
            scales.height = abs(target.height / rect.height)

            switch self {
                case .aspectFit:
                    scales.width = min(scales.width, scales.height)
                    scales.height = scales.width
                case .aspectFill:
                    scales.width = max(scales.width, scales.height)
                    scales.height = scales.width
                case .stretch:
                    break
                case .center:
                    scales.width = 1
                    scales.height = 1
            }

            var result = rect.standardized
            result.size.width *= scales.width
            result.size.height *= scales.height
            result.origin.x = target.minX + (target.width - result.width) / 2
            result.origin.y = target.minY + (target.height - result.height) / 2
            return result
        }
    }
}
